;Filename: ClkPowR.s
;Part: ADuC702x.
;Created: 11/03/2004 at 11h58
;Updated: 28/06/2005
;Author: Eckart Hartmann.
;This file is in beta sampling.

#include        <ADuC702x.IAR.equ>

; ClkPowR==========Reads the power control (PC) bits.
; C Function prototype: int ClkPowR(void);
; Description of Function: Reads the power control (PC) bits.
; User interface:
;       Call ClkPowR.
;       Returns PC2-0 of POWCON.
; Robustness:  No known issues.
; Side effects: None known.

                RSEG CODE
                MODULE ClkPowR
                PUBLIC ClkPowR
                CODE32

ClkPowR:
        mov     r0,#0xff0000            ;r0 = Z_BASE;
        orr     r0,r0,#0xff000000
        ldr     r0,[r0,#Z_POWCON]       ;Get POWCON
        mov     r0,r0,LSR#4             ; PC bits.
        and     r0,r0,#0x07
        bx      lr                      ;return.

                 ENDMOD  ClkPowR

                 END
        
